import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/goldenwater";

export function listProject(query) {
  return request({ url: '/pms/project/list', method: 'get', params: query })
}

export function getProject(prjId) {
  return request({ url: '/pms/project/' + parseStrEmpty(prjId), method: 'get' })
}

export function addProject(data) {
  return request({ url: '/pms/project', method: 'post', data: data })
}

export function updateProject(data) {
  return request({ url: '/pms/project', method: 'put', data: data })
}

export function delProject(prjId) {
  return request({ url: '/pms/project/' + prjId, method: 'delete' })
}
